<?php

namespace App\Definition\Field\Site;

use Lc\SovBundle\Field\ImageManagerField;
use Lc\SovBundle\Definition\Field\Site\PageFieldDefinition as SovPageFieldDefinition;

class PageFieldDefinition extends SovPageFieldDefinition
{
    public function configureIndex(): array
    {
        return [
            'id',
            'title',
            'description',
            'image',
            'status',
            'createdBy'

        ];
    }

    public function configurePanelGeneral(): array
    {
        return [
            'title',
            'description',
            'image',
            'status',
        ];
    }

    public function configureFields(): array
    {
        return array_merge(parent::configureFields(), [
            'image' => ImageManagerField::new('image'),
        ]);
    }

}
